package com.gic.haoban.manage.web.controller;

import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.web.errCode.HaoBanErrCode;
import com.gic.wechat.api.dto.qywx.QywxXcxSendMessageDTO;
import com.gic.wechat.api.service.qywx.QywxSuiteApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created 2020/4/9.
 *
 * @author hua
 */
@RestController
@RequestMapping("/test")
public class TestController extends WebBaseController {

    @Autowired
    private QywxSuiteApiService qywxSuiteApiService;

    @RequestMapping("/send-message-test")
    public HaobanResponse testSendMessage(QywxXcxSendMessageDTO sendMessageDTO) {
        boolean b = qywxSuiteApiService.sendMessage("ww9ede832a84b7ae5f",
                "ww2c34dc56739bb105", sendMessageDTO);
        if (b) {
            return resultResponse(HaoBanErrCode.ERR_1);
        } else {
            return resultResponse(HaoBanErrCode.ERR_0);
        }
    }
}
